Subject: Re: bug#49570: 28.0.50; url-http proxy connection-wait

From: Gregory Heytings <[email-masked]>
Date: Thu, 22 Jul 2021 07:30:30 +0000

>> If pruning loses data it shouldn't be enabled by default in all 
>> checkouts, e.g. if a branch is accidentally deleted by someone else 
>> then simply fetching shouldn't propagate that deletion for others.
>
> Of course.  Don't worry, we won't do that.
>

Why on earth won't you do that?  Deleting a branch (or removing a tag) 
does *not* lose any data / commit, it only removes a pointer / label to a 
particular commit.  For example anyone can still access the commits of the 
feature/native-comp branch with git checkout fa65c044f2.  Should someone 
accidentally delete a branch, it is easy to create it again.

Setting this config variable is much better than telling people to say 
"git remote prune origin" from time to time as you suggested, it does the 
same, except that it happens automatically.